#pragma once
#include "afxwin.h"
#include "DevListDlg.h"

// CAddDevice 对话框

class CAddDevice : public CDialog
{
	DECLARE_DYNAMIC(CAddDevice)

public:
	CAddDevice(CWnd* pParent);   // 标准构造函数
	virtual ~CAddDevice();

// 对话框数据
	enum { IDD = IDD_DLG_ADDDVR };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedBtnAdddev();
public:
	CString m_strIPAddr;
public:
	long m_lPTZPort;
public:
	CButton m_ctlBTCP;
public:
	CString m_strUserName;
public:
	CString m_strPassWord;
	CDevListDlg *m_pDevListDlg;
public:
	long m_lVideoPort;
public:
	virtual BOOL OnInitDialog();
public:
	CComboBox m_cbDeviceType;
public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
public:
	afx_msg void OnCbnSelchangeCombo2();
};
